Package org.apache.solr.common

## Interface IteratorWriter

All Superinterfaces:
  `org.noggit.JSONWriter.Writable`

    public interface IteratorWriter
    extends org.noggit.JSONWriter.Writable

Interface to help do push writing to an array

### Nested Class Summary

Nested Classes
`static interface` `IteratorWriter.ItemWriter`

### Method Summary

All Methods Instance Methods Abstract Methods Default Methods
`default List<Object>` `toList​(List<Object> l)`
`default void` `write​(org.noggit.JSONWriter writer)`
`void` `writeIter​(IteratorWriter.ItemWriter iw)`

### Method Detail

#### writeIter

    void writeIter​(IteratorWriter.ItemWriter iw)
            throws IOException

Parameters:
  `iw` - after this method returns , the ItemWriter Object is invalid Do not hold a reference to this object
Throws:
  `IOException`

#### toList

    default List<Object> toList​(List<Object> l)

#### write

    default void write​(org.noggit.JSONWriter writer)

Specified by:
  `write` in interface `org.noggit.JSONWriter.Writable`